#
# spec file for package extra-cmake-modules
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           extra-cmake-modules
Summary:        CMake modules
License:        BSD-3-Clause
Group:          Development/Tools/Other
URL:            https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Version:        0.0.10
Release:        0
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 2.8.11
BuildRequires:  gcc-c++
Requires:       kf5-filesystem
Requires:       cmake >= 2.8.11

%description
Extra modules and scripts for CMake.

For more information see http://community.kde.org/KDE_Core/Platform_11/Buildsystem/FindFilesSurvey

%prep
%setup -q -n %{name}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix}

%install
%makeinstall

%files
%defattr(-,root,root,-)
%dir %{_datadir}/ECM
%{_datadir}/ECM/*

%changelog

